package cn.newfeifan.mall.module.distri.enums;

import cn.newfeifan.mall.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    // ========== 分销信息商户信息 1-002-029-000 ==========
    ErrorCode SHARE_PATH_NOT_EXISTS = new ErrorCode(1_002_030_000, "分销路径不存在");
    ErrorCode SOCIAL_STATUS_NOT_EXISTS = new ErrorCode(1_002_030_001, "身价不存在");
    ErrorCode SOURCE_NOT_EXISTS = new ErrorCode(1_002_030_002, "分销来源不存在");
    ErrorCode INTEGRAL_NOT_EXISTS = new ErrorCode(1_002_030_003, "积分表不存在");
    ErrorCode ORDER_CALC_NOT_EXISTS = new ErrorCode(1_002_030_004, "计算不存在");
    ErrorCode ORDER_PERCENTAGE_NOT_EXISTS = new ErrorCode(1_002_030_005, "订单计算不存在");
    ErrorCode PARTITION_BROTHERS_NOT_EXISTS = new ErrorCode(1_002_030_006, "兄弟分区不存在");
    ErrorCode PARTITION_SON_NOT_EXISTS = new ErrorCode(1_002_030_007, "儿子分区不存在");
    ErrorCode USER_NOT_EXISTS = new ErrorCode(1_002_030_008, "分销用户不存在");
    ErrorCode DUSER_NOT_EXISTS = new ErrorCode(1_002_030_009, "分销用户不存在");
    ErrorCode IS_EXISTS = new ErrorCode(1_002_030_010, "当前推销人已经存在上级");
    ErrorCode PARTITION_CRASH_NOT_EXISTS = new ErrorCode(1_002_030_011, "碰撞分区不存在");
    ErrorCode PT_PROFIT_NOT_EXISTS = new ErrorCode(1_002_030_012, "平台利润不存在");
    ErrorCode PT_PROFIT_LOG_NOT_EXISTS = new ErrorCode(1_002_030_013, "平台利润日志表不存在");
    ErrorCode PERCENT_LARGE_ONE_HUNDRED = new ErrorCode(1_002_030_014, "百分比总和超过100");
    ErrorCode HAS_PARENT = new ErrorCode(1_002_030_015, "该直推人已经有推荐人, 故不能增加");
    ErrorCode DUSER_NAME_NOT_EXISTS = new ErrorCode(1_002_030_017, "该直推人名称不存在");
    ErrorCode DUSER_NAME_IS_NOT_ONLY_ONE = new ErrorCode(1_002_030_018, "该直推人名称有重复的,请选择电话查询");
    ErrorCode DUSER_MOBILE_NOT_EXISTS = new ErrorCode(1_002_030_019, "该直推人电话不存在");

    ErrorCode PT_PROFIT_DAILY_STATISTICS_LOG_NOT_EXISTS = new ErrorCode(1_002_030_020, "查询该日的记录不存在");
    ErrorCode SOCIAL_STATUS_CHANGE_LOG_NOT_EXISTS = new ErrorCode(1_002_030_021, "查询日志记录不存在");
    ErrorCode GROSS_PROFIT_BONUS_QUOTA_PERC_EXCEED_MAXIMUM_LIMIT = new ErrorCode(1_002_030_022, "合赢奖不能超过最大限制");
    ErrorCode USER_SIGN_IN_LOG_NOT_EXISTS = new ErrorCode(1_002_030_023, "签到日志不存在");
    ErrorCode PT_PROFIT_LOG_DETAILS_NOT_EXISTS = new ErrorCode(1_002_030_024, "平台利润记录详情不存在");
    ErrorCode DAILY_BILL_NOT_EXISTS = new ErrorCode(1_002_030_025, "每日账单详细不存在");
    ErrorCode DAILY_AWARD_RECORDS_NOT_EXISTS = new ErrorCode(1_002_030_026, "每日用户获得合赢奖记录不存在");
    ErrorCode SHOP_SETTLEMENT_NOT_EXISTS = new ErrorCode(1_002_030_027, "该结算单记录不存在");
    ErrorCode ORDER_SETTLEMENT_NOT_EXISTS = new ErrorCode(1_002_030_028, "该结算订单二级表记录不存在");
    ErrorCode ORDER_ITEM_SETTLEMENT_NOT_EXISTS = new ErrorCode(1_002_030_029, "该结算订单项二级表记录不存在");
    ErrorCode PT_SETTLEMENT_NOT_EXISTS = new ErrorCode(1_002_030_030, "平台结算记录不存在");
    ErrorCode PT_DAILY_BILL_NOT_EXISTS = new ErrorCode(1_002_030_031, "平台每日账单不存在");

    ErrorCode APPLICATION_FOR_WITHDRAWAL_NOT_EXISTS = new ErrorCode(1_002_030_032, "提现申请记录不存在");
    ErrorCode PT_DAILY_WITHDRAWAL_NOT_EXISTS = new ErrorCode(1_002_030_033, "平台每日提现记录不存在");
    ErrorCode APPLICATION_FOR_WITHDRAWAL_CHANNEL_NOT_EXISTS = new ErrorCode(1_002_030_034, "提现渠道记录不存在");
    ErrorCode CONSUMPTION_TOP_UP_LOG_NOT_EXISTS = new ErrorCode(1_002_030_035, "充值消费分记录不存在");
    ErrorCode CONSUMPTION_CHANGE_LOG_NOT_EXISTS = new ErrorCode(1_002_030_036, "消费分变动记录不存在");
    ErrorCode CONSUMPTION_TRANSFER_LOG_NOT_EXISTS = new ErrorCode(1_002_030_037, "消费分转让记录不存在");
    ErrorCode CONSUMPTION_ERROR_LOG_NOT_EXISTS = new ErrorCode(1_002_030_038, "消费分异动记录不存在");
    ErrorCode CONSUMPTION_ERROR_USER_NOT_EXISTS = new ErrorCode(1_002_030_039, "消费分异动用户记录不存在");
    ErrorCode USER_TOP_UP_CONSUMPTION_POINTS_ORDER_NOT_EXISTS = new ErrorCode(1_002_030_040, "用户充值消费订单分不存在");

}
